# Generated by Django 4.0.2 on 2022-03-13 00:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import spid_cie_oidc.relying_party_test.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='RelyingPartyReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('client_id', models.URLField(blank=True, null=True)),
                ('status', models.CharField(choices=[('unknown', 'Sconosciuto'), ('failed', 'Failed'), ('successfull', 'successfull'), ('error', 'Internal error')], default='unknown', help_text='status', max_length=33)),
                ('report', models.JSONField(blank=True, default=dict, max_length=4096)),
                ('user', models.ForeignKey(blank=True, help_text='Staff user that started the tests', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Relying Party Status',
                'verbose_name_plural': 'Relying Party Status',
            },
        ),
        migrations.CreateModel(
            name='RelyingPartyTest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=256)),
                ('category', models.CharField(max_length=256)),
                ('code', models.CharField(max_length=256)),
                ('http_status_code', models.PositiveIntegerField()),
                ('screenshot', models.FileField(upload_to=spid_cie_oidc.relying_party_test.models.context_media_path)),
                ('log', models.TextField()),
                ('note', models.TextField()),
                ('status', models.CharField(choices=[('unknown', 'Sconosciuto'), ('failed', 'Failed'), ('successfull', 'successfull'), ('error', 'Internal error')], default='unknown', help_text='status', max_length=33)),
                ('report', models.ForeignKey(help_text='Staff user that started the tests', on_delete=django.db.models.deletion.CASCADE, to='spid_cie_oidc_relying_party_test.relyingpartyreport')),
            ],
            options={
                'verbose_name': 'Relying Party Test',
                'verbose_name_plural': 'Relying Party Tests',
            },
        ),
    ]
